Bug 3905 - Ошибка при старте сервиса svnserve
: Ошибка при старте сервиса svnserve
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-31 17:24 MSD by Eugene Shatokhin
Modified: 2014-04-23 16:28 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-03-31 17:24:54 MSD
Пакет: subversion-server-1.7.13-2.x86_64

systemctl start svnserve.service отработала с ошибкой.

Статус:
--------------------
Job for svnserve.service failed. See 'systemctl status svnserve.service' and 'journalctl -xn' for details.
svnserve.service - Subversion protocol daemon
   Loaded: loaded (/lib/systemd/system/svnserve.service; disabled)
   Active: failed (Result: exit-code) since Пн. 2014-03-31 01:22:31 MSK; 10ms ago
  Process: 7674 ExecStart=/usr/bin/svnserve --daemon --pid-file=/var/run/svnserve/svnserve.pid $OPTIONS (code=exited, status=1/FAILURE)

марта 31 01:22:31 vm systemd[1]: Starting Subversion protocol daemon...
марта 31 01:22:31 vm svnserve[7674]: You must specify exactly one of -d, -i, -t or -X.
марта 31 01:22:31 vm svnserve[7674]: Type '/usr/bin/svnserve --help' for usage.
марта 31 01:22:31 vm systemd[1]: svnserve.service: control process exited, code=exited status=1
марта 31 01:22:31 vm systemd[1]: Failed to start Subversion protocol daemon.
марта 31 01:22:31 vm systemd[1]: Unit svnserve.service entered failed state.
--------------------
Comment 1 Denis Silakov 2014-04-04 14:07:22 MSD
Advisory:

Updated subversion to 1.8.5, fix issue with svnserve service start.

Build lists:
(subversion)
https://abf.io/build_lists/1743378
https://abf.io/build_lists/1743379

(serf - update was required to build new subversion)
https://abf.io/build_lists/1743050
https://abf.io/build_lists/1743051

Please ignore "tests failed" for subversion on x86_64, it seems ABF tests launcher fails to correctly launch tests with container attached.
Comment 2 Vladimir Potapov 2014-04-07 11:27:09 MSD
subversion-1.8.5-3
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1743378/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1743379/x86_64/main/release/

serf-1.3.2-5
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1743050/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1743051/x86_64/main/release/

****************** Advisory ***********************
Updated subversion to 1.8.5, fix issue with svnserve service start.
***************************************************
QA Verified